import React from 'react';
import { InputGroup, Icon } from 'rsuite';

import { durations } from '../../assets/data/durations';

export default function DurationSelector({
	durationIdx,
	handleDecrement,
	handleIncrement,
}) {
	return (
		<InputGroup style={{ background: 'white' }}>
			<InputGroup.Button onClick={handleDecrement}>
				<Icon icon='minus' />
			</InputGroup.Button>
			<div style={{ textAlign: 'center', paddingTop: 5 }}>
				{durations[durationIdx].label}
			</div>
			<InputGroup.Button onClick={handleIncrement}>
				<Icon icon='plus' />
			</InputGroup.Button>
		</InputGroup>
	);
}
